이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
APIs
- 1: CreateSnapshot
- 2: CreateSnapshotSchedule
- 3: CreateVolume
- 4: CreateVolumeReplication
- 5: DeleteSnapshot
- 6: DeleteSnapshotSchedule
- 7: DeleteVolume
- 8: DeleteVolumeReplication
- 9: ListAccessRules
- 10: ListSnapshots
- 11: ListSnapshotSchedule
- 12: ListVolumeReplicationRegion
- 13: ListVolumeReplications
- 14: ListVolumes
- 15: RestoreSnapshot
- 16: SetAccessRule
- 17: SetSnapshotSchedule
- 18: SetVolume
- 19: SetVolumeReplication
- 20: ShowVolume
- 21: ShowVolumeReplication
1 - CreateSnapshot
1.1 - 1.1
post /v1/snapshots
Description
파일스토리지 스냅샷을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}
Example HTTP response
Response 202
{
"snapshot": {
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}
}
1.2 - 1.0
post /v1/snapshots
Description
파일스토리지 스냅샷을 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}
Example HTTP response
Response 202
{
"snapshot": {
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438"
}
}
2 - CreateSnapshotSchedule
2.1 - 1.1
post /v1/snapshot-schedules
Description
파일스토리지 스냅샷 스케줄을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotScheduleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
Example HTTP response
Response 202
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
2.2 - 1.0
post /v1/snapshot-schedules
Description
파일스토리지 스냅샷 스케줄을 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SnapshotScheduleCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotScheduleCreateResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
Example HTTP response
Response 202
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
3 - CreateVolume
3.1 - 1.1
post /v1/volumes
Description
파일스토리지를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeCreateResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"name": "my_volume",
"protocol": "NFS",
"type_name": "HDD",
"snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"cifs_password": "cifspwd0!!",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"protocol": "NFS",
"snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"type_name": "HDD",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"volume_name": "my_volume"
}
3.2 - 1.0
post /v1/volumes
Description
파일스토리지를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | VolumeCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeCreateResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"name": "my_volume",
"protocol": "NFS",
"type_name": "HDD",
"snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"cifs_password": "cifspwd0!!",
"tags": [
{
"key": "key",
"value": "value"
}
]
}
Example HTTP response
Response 202
{
"protocol": "NFS",
"snapshot_id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"type_name": "HDD",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"volume_name": "my_volume"
}
4 - CreateVolumeReplication
4.1 - 1.1
post /v1/replications
Description
파일스토리지 복제를 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ReplicationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationCreateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"name": "my_volume",
"cifs_password": "cifspwd0!!",
"replication_frequency": "5min",
"region": "kr-west1",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"backup_retention_count": 2,
"replication_type": "replication"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_status": "creating",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"protocol": "NFS",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1"
}
4.2 - 1.0
post /v1/replications
Description
파일스토리지 복제를 생성한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | ReplicationCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationCreateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"name": "my_volume",
"cifs_password": "cifspwd0!!",
"replication_frequency": "5min",
"region": "kr-west1",
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"backup_retention_count": 2,
"replication_type": "replication"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_status": "creating",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"protocol": "NFS",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1"
}
5 - DeleteSnapshot
5.1 - 1.1
delete /v1/snapshots/{snapshot_id}
Description
파일스토리지 스냅샷을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | 스냅샷 아이디 Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 202
5.2 - 1.0
delete /v1/snapshots/{snapshot_id}
Description
파일스토리지 스냅샷을 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | 스냅샷 아이디 Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 202
6 - DeleteSnapshotSchedule
6.1 - 1.1
delete /v1/snapshot-schedules/{snapshot_schedule_id}
Description
파일스토리지 스냅샷 스케줄을 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_schedule_id required | 스냅샷 스케줄 아이디 Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 202
6.2 - 1.0
delete /v1/snapshot-schedules/{snapshot_schedule_id}
Description
파일스토리지 스냅샷 스케줄을 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_schedule_id required | 스냅샷 스케줄 아이디 Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 202
7 - DeleteVolume
7.1 - 1.1
delete /v1/volumes/{volume_id}
Description
파일스토리지를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 202
7.2 - 1.0
delete /v1/volumes/{volume_id}
Description
파일스토리지를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 202
8 - DeleteVolumeReplication
8.1 - 1.1
delete /v1/replications/{replication_id}
Description
파일스토리지 복제를 삭제한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 202
8.2 - 1.0
delete /v1/replications/{replication_id}
Description
파일스토리지 복제를 삭제한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 202
9 - ListAccessRules
9.1 - 1.1
get /v1/volumes/{volume_id}/access-rules
Description
접근제어 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeObjectAccessRuleListResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/access-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"access_rules": [
{
"access_rule_state": "active",
"object_type": "VM",
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f"
}
]
}
9.2 - 1.0
get /v1/volumes/{volume_id}/access-rules
Description
접근제어 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeObjectAccessRuleListResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/access-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"access_rules": [
{
"access_rule_state": "active",
"object_type": "VM",
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f"
}
]
}
10 - ListSnapshots
10.1 - 1.1
get /v1/snapshots
Description
파일스토리지 스냅샷 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/snapshots?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"snapshots": [
{
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373"
}
],
"snapshot_size_total_byte": 100
}
10.2 - 1.0
get /v1/snapshots
Description
파일스토리지 스냅샷 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/snapshots?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"snapshots": [
{
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373"
}
],
"snapshot_size_total_byte": 100
}
11 - ListSnapshotSchedule
11.1 - 1.1
get /v1/snapshot-schedules
Description
파일스토리지 스냅샷 스케줄 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotScheduleListResponse |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshot-schedules?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_policy_enabled": "true",
"snapshot_schedule": [
{
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23",
"id": "d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31"
}
]
}
11.2 - 1.0
get /v1/snapshot-schedules
Description
파일스토리지 스냅샷 스케줄 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | SnapshotScheduleListResponse |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/snapshot-schedules?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_policy_enabled": "true",
"snapshot_schedule": [
{
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23",
"id": "d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31"
}
]
}
12 - ListVolumeReplicationRegion
12.1 - 1.1
get /v1/replications/regions
Description
파일스토리지 복제 리전 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | type_name optional | 볼륨 유형 이름 Example : HDD | any of [string, null] | None |
| query | source_region_name required | 리전 Example : kr-west1 | string | None |
| query | replication_type required | 복제 유형 Example : replication | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationRegionListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"regions": "['kr-west1']"
}
12.2 - 1.0
get /v1/replications/regions
Description
파일스토리지 복제 리전 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | type_name optional | 볼륨 유형 이름 Example : HDD | any of [string, null] | None |
| query | source_region_name required | 리전 Example : kr-west1 | string | None |
| query | replication_type required | 복제 유형 Example : replication | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationRegionListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"regions": "['kr-west1']"
}
13 - ListVolumeReplications
13.1 - 1.1
get /v1/replications
Description
파일스토리지 복제 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationListResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"replications": [
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication"
}
]
}
13.2 - 1.0
get /v1/replications
Description
파일스토리지 복제 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationListResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"replications": [
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication"
}
]
}
14 - ListVolumes
14.1 - 1.1
get /v1/volumes
Description
파일스토리지 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | offset optional | offset Example : 0 | integer | 0 |
| query | limit optional | limit Example : 20 | integer | 20 |
| query | name optional | 볼륨 이름 Example : my_volume | any of [string, null] | None |
| query | type_name optional | 볼륨 유형 이름 Example : HDD | any of [string, null] | None |
| query | sort optional | 정렬 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"filestorages": [
{
"id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"name": "my_volume",
"protocol": "NFS",
"state": "available",
"account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
"created_at": "2024-07-30T04:54:33.219373",
"type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
"type_name": "HDD",
"purpose": "replication"
}
]
}
14.2 - 1.0
get /v1/volumes
Description
파일스토리지 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | offset optional | offset Example : 0 | integer | 0 |
| query | limit optional | limit Example : 20 | integer | 20 |
| query | name optional | 볼륨 이름 Example : my_volume | any of [string, null] | None |
| query | type_name optional | 볼륨 유형 이름 Example : HDD | any of [string, null] | None |
| query | sort optional | 정렬 Example : | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"count": 1,
"filestorages": [
{
"id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"name": "my_volume",
"protocol": "NFS",
"state": "available",
"account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
"created_at": "2024-07-30T04:54:33.219373",
"type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
"type_name": "HDD",
"purpose": "replication"
}
]
}
15 - RestoreSnapshot
15.1 - 1.1
put /v1/snapshots/{snapshot_id}/restore
Description
파일스토리지 스냅샷을 복구한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | 스냅샷 아이디 Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotRestoreResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}/restore?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 202
{
"snapshot": {
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373"
}
}
15.2 - 1.0
put /v1/snapshots/{snapshot_id}/restore
Description
파일스토리지 스냅샷을 복구한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_id required | 스냅샷 아이디 Example : 40htrre5b-eww25-ff2b-a426-6afefas65a3b | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotRestoreResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshots/{snapshot_id}/restore?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 202
{
"snapshot": {
"id": "40htrre5b-eww25-ff2b-a426-6afefas65a3b",
"name": "my_volume.2024-10-01_14215",
"state": "available",
"size": 100,
"created_at": "2024-07-30T04:54:33.219373"
}
}
16 - SetAccessRule
16.1 - 1.1
put /v1/volumes/{volume_id}/access-rules
Description
파일스토리지 접근제어를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | AccessRuleRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AccessRuleResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/access-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
"object_type": "VM",
"action": "add"
}
Example HTTP response
Response 202
{
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"object_type": "VM",
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
"action": "add"
}
16.2 - 1.0
put /v1/volumes/{volume_id}/access-rules
Description
파일스토리지 접근제어를 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | AccessRuleRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AccessRuleResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}/access-rules
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
"object_type": "VM",
"action": "add"
}
Example HTTP response
Response 202
{
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"object_type": "VM",
"object_id": "43fq3347-02q4-4aa8-ccf9-affe4917bb6f",
"action": "add"
}
17 - SetSnapshotSchedule
17.1 - 1.1
put /v1/snapshot-schedules/{snapshot_schedule_id}
Description
파일스토리지 스냅샷 스케줄을 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_schedule_id required | 스냅샷 스케줄 아이디 Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | SnapshotScheduleSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotScheduleSetResponse |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"snapshot_retention_count": 10,
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
Example HTTP response
Response 202
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
17.2 - 1.0
put /v1/snapshot-schedules/{snapshot_schedule_id}
Description
파일스토리지 스냅샷 스케줄을 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | snapshot_schedule_id required | 스냅샷 스케줄 아이디 Example : d02d1a74-1871-4a3d-bdfc-6e60e9ea0f31 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | SnapshotScheduleSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SnapshotScheduleSetResponse |
| 400 | Bad Request | None |
| 404 | Not Found | None |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/snapshot-schedules/{snapshot_schedule_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"snapshot_retention_count": 10,
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
Example HTTP response
Response 202
{
"snapshot_retention_count": 10,
"volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"snapshot_schedule": {
"frequency": "WEEKLY",
"day_of_week": "MON",
"hour": "23"
}
}
18 - SetVolume
18.1 - 1.1
put /v1/volumes/{volume_id}
Description
파일스토리지를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | VolumeSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeSetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"file_unit_recovery_enabled": true
}
Example HTTP response
Response 202
{
"file_unit_recovery_enabled": true
}
18.2 - 1.0
put /v1/volumes/{volume_id}
Description
파일스토리지를 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | VolumeSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | VolumeSetResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"file_unit_recovery_enabled": true
}
Example HTTP response
Response 202
{
"file_unit_recovery_enabled": true
}
19 - SetVolumeReplication
19.1 - 1.1
put /v1/replications/{replication_id}
Description
파일스토리지 복제를 수정한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | ReplicationUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationUpdateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Request body
{
"replication_policy": "use",
"replication_frequency": "5min",
"backup_retention_count": 2,
"replication_update_type": "policy"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication",
"backup_retention_count": 2
}
19.2 - 1.0
put /v1/replications/{replication_id}
Description
파일스토리지 복제를 수정한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| body | body required | ReplicationUpdateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | ReplicationUpdateResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Request body
{
"replication_policy": "use",
"replication_frequency": "5min",
"backup_retention_count": 2,
"replication_update_type": "policy"
}
Example HTTP response
Response 202
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication",
"backup_retention_count": 2
}
20 - ShowVolume
20.1 - 1.1
get /v1/volumes/{volume_id}
Description
파일스토리지를 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeShowResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"name": "my_volume",
"protocol": "NFS",
"state": "available",
"account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
"created_at": "2024-07-30T04:54:33.219373",
"type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
"type_name": "HDD",
"purpose": "replication",
"path": "xxx.xx.xxx:/xxxxxxxx",
"usage": 100000,
"encryption_enabled": true,
"file_unit_recovery_enabled": true,
"cifs_id": "cifsid",
"endpoint_path": "xxx.xx.xxx.xxx"
}
20.2 - 1.0
get /v1/volumes/{volume_id}
Description
파일스토리지를 상세 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeShowResponse |
| 403 | Forbidden | None |
| 401 | Unauthorized | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/volumes/{volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"name": "my_volume",
"protocol": "NFS",
"state": "available",
"account_id": "rwww523320dfvwbbefefsdvwdadsfa24c",
"created_at": "2024-07-30T04:54:33.219373",
"type_id": "jef22f67-ee83-4gg2-2ab6-3lf774ekfjdu",
"type_name": "HDD",
"purpose": "replication",
"path": "xxx.xx.xxx:/xxxxxxxx",
"usage": 100000,
"encryption_enabled": true,
"file_unit_recovery_enabled": true,
"cifs_id": "cifsid",
"endpoint_path": "xxx.xx.xxx.xxx"
}
21 - ShowVolumeReplication
21.1 - 1.1
get /v1/replications/{replication_id}
Description
파일스토리지 복제를 상세 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationShowResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.1"
Example HTTP response
Response 200
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication",
"source_volume_name": "my_volume",
"replication_policy": "use",
"replication_status": "creating",
"replication_volume_name": "my_volume",
"backup_retention_count": 2
}
21.2 - 1.0
get /v1/replications/{replication_id}
Description
파일스토리지 복제를 상세 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | replication_id required | 복제 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
| query | volume_id required | 볼륨 아이디 Example : bfdbabf2-04d9-4e8b-a205-020f8e6da438 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationShowResponse |
| 401 | Unauthorized | None |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications/{replication_id}?volume_id={volume_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"replication_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_frequency": "5min",
"source_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"source_volume_region": "kr-west1",
"source_volume_access_level": "ro",
"replication_volume_id": "bfdbabf2-04d9-4e8b-a205-020f8e6da438",
"replication_volume_region": "kr-west1",
"replication_volume_access_level": "ro",
"replication_type": "replication",
"source_volume_name": "my_volume",
"replication_policy": "use",
"replication_status": "creating",
"replication_volume_name": "my_volume",
"backup_retention_count": 2
}